Get the current ZFS dashboard snapshot
GET
/zfs/dashboard/snapshot
const url = 'https://sylve.lan:8181/api/zfs/dashboard/snapshot';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://sylve.lan:8181/api/zfs/dashboard/snapshot \ --header 'Authorization: <Authorization>'Retrieves current pool state, scan and error summaries, logical I/O, and ARC telemetry
Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”Success
Media typeapplication/json
object
data
object
arc
object
compressedSize
integer
dataSize
integer
demandHitRatio
number
evictNotEnoughEvents
integer
evictionsPerSecond
number
headerSize
integer
hitRatio
number
id
integer
l2Allocated
integer
l2DeviceCount
integer
l2HitRatio
number
l2ReadBytesPerSecond
integer
l2Size
integer
l2WriteBytesPerSecond
integer
maxSize
integer
memoryThrottleEvents
integer
metadataSize
integer
minSize
integer
otherSize
integer
prefetchHitRatio
number
size
integer
targetSize
integer
time
integer
uncompressedSize
integer
generatedAt
integer
pools
Array<object>
object
action
string
allocated
integer
dedupRatio
number
errors
object
checksum
integer
read
integer
scan
integer
write
integer
fragmentation
number
free
integer
guid
string
io
object
intervalSeconds
integer
latencyAvailable
boolean
readBytesPerSecond
integer
readIOPS
integer
readLatencyNanos
integer
sampledAt
integer
valid
boolean
writeBytesPerSecond
integer
writeIOPS
integer
writeLatencyNanos
integer
name
string
scan
object
endTime
string
errors
integer
examined
integer
function
string
issued
integer
processed
integer
progressPercent
number
startTime
string
state
string
toExamine
integer
size
integer
state
string
status
string
statusAvailable
boolean
topology
object
cache
integer
dataVdevs
integer
dedup
integer
disks
integer
logs
integer
spares
integer
special
integer
sampledAt
integer
stale
boolean
error
string
message
string
status
string
Examplegenerated
{ "data": { "arc": { "compressedSize": 1, "dataSize": 1, "demandHitRatio": 1, "evictNotEnoughEvents": 1, "evictionsPerSecond": 1, "headerSize": 1, "hitRatio": 1, "id": 1, "l2Allocated": 1, "l2DeviceCount": 1, "l2HitRatio": 1, "l2ReadBytesPerSecond": 1, "l2Size": 1, "l2WriteBytesPerSecond": 1, "maxSize": 1, "memoryThrottleEvents": 1, "metadataSize": 1, "minSize": 1, "otherSize": 1, "prefetchHitRatio": 1, "size": 1, "targetSize": 1, "time": 1, "uncompressedSize": 1 }, "generatedAt": 1, "pools": [ { "action": "example", "allocated": 1, "dedupRatio": 1, "errors": { "checksum": 1, "read": 1, "scan": 1, "write": 1 }, "fragmentation": 1, "free": 1, "guid": "example", "io": { "intervalSeconds": 1, "latencyAvailable": true, "readBytesPerSecond": 1, "readIOPS": 1, "readLatencyNanos": 1, "sampledAt": 1, "valid": true, "writeBytesPerSecond": 1, "writeIOPS": 1, "writeLatencyNanos": 1 }, "name": "example", "scan": { "endTime": "example", "errors": 1, "examined": 1, "function": "example", "issued": 1, "processed": 1, "progressPercent": 1, "startTime": "example", "state": "example", "toExamine": 1 }, "size": 1, "state": "example", "status": "example", "statusAvailable": true, "topology": { "cache": 1, "dataVdevs": 1, "dedup": 1, "disks": 1, "logs": 1, "spares": 1, "special": 1 } } ], "sampledAt": 1, "stale": true }, "error": "example", "message": "example", "status": "example"}Internal Server Error
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}